

# UpdateAssessmentControlSetStatus
<a name="API_UpdateAssessmentControlSetStatus"></a>

**Important**  
 AWS Audit Manager is no longer open to new customers. Existing customers can continue to use the service as normal. For more information, see [AWS Audit Manager availability change](https://docs.aws.amazon.com/audit-manager/latest/userguide/audit-manager-availability-change.html).

 Updates the status of a control set in an Audit Manager assessment. 

## Request Syntax
<a name="API_UpdateAssessmentControlSetStatus_RequestSyntax"></a>

```
PUT /assessments/{{assessmentId}}/controlSets/{{controlSetId}}/status HTTP/1.1
Content-type: application/json

{
   "comment": "{{string}}",
   "status": "{{string}}"
}
```

## URI Request Parameters
<a name="API_UpdateAssessmentControlSetStatus_RequestParameters"></a>

The request uses the following URI parameters.

 ** [assessmentId](#API_UpdateAssessmentControlSetStatus_RequestSyntax) **   <a name="auditmanager-UpdateAssessmentControlSetStatus-request-uri-assessmentId"></a>
 The unique identifier for the assessment.   
Length Constraints: Fixed length of 36.  
Pattern: `^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$`   
Required: Yes

 ** [controlSetId](#API_UpdateAssessmentControlSetStatus_RequestSyntax) **   <a name="auditmanager-UpdateAssessmentControlSetStatus-request-uri-controlSetId"></a>
 The unique identifier for the control set.   
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*`   
Required: Yes

## Request Body
<a name="API_UpdateAssessmentControlSetStatus_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [comment](#API_UpdateAssessmentControlSetStatus_RequestSyntax) **   <a name="auditmanager-UpdateAssessmentControlSetStatus-request-comment"></a>
 The comment that's related to the status update.   
Type: String  
Length Constraints: Maximum length of 350.  
Pattern: `^[\w\W\s\S]*$`   
Required: Yes

 ** [status](#API_UpdateAssessmentControlSetStatus_RequestSyntax) **   <a name="auditmanager-UpdateAssessmentControlSetStatus-request-status"></a>
 The status of the control set that's being updated.   
Type: String  
Valid Values: `ACTIVE | UNDER_REVIEW | REVIEWED`   
Required: Yes

## Response Syntax
<a name="API_UpdateAssessmentControlSetStatus_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "controlSet": { 
      "controls": [ 
         { 
            "assessmentReportEvidenceCount": number,
            "comments": [ 
               { 
                  "authorName": "string",
                  "commentBody": "string",
                  "postedDate": number
               }
            ],
            "description": "string",
            "evidenceCount": number,
            "evidenceSources": [ "string" ],
            "id": "string",
            "name": "string",
            "response": "string",
            "status": "string"
         }
      ],
      "delegations": [ 
         { 
            "assessmentId": "string",
            "assessmentName": "string",
            "comment": "string",
            "controlSetId": "string",
            "createdBy": "string",
            "creationTime": number,
            "id": "string",
            "lastUpdated": number,
            "roleArn": "string",
            "roleType": "string",
            "status": "string"
         }
      ],
      "description": "string",
      "id": "string",
      "manualEvidenceCount": number,
      "roles": [ 
         { 
            "roleArn": "string",
            "roleType": "string"
         }
      ],
      "status": "string",
      "systemEvidenceCount": number
   }
}
```

## Response Elements
<a name="API_UpdateAssessmentControlSetStatus_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [controlSet](#API_UpdateAssessmentControlSetStatus_ResponseSyntax) **   <a name="auditmanager-UpdateAssessmentControlSetStatus-response-controlSet"></a>
 The name of the updated control set that the `UpdateAssessmentControlSetStatus` API returned.   
Type: [AssessmentControlSet](API_AssessmentControlSet.md) object

## Errors
<a name="API_UpdateAssessmentControlSetStatus_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 Your account isn't registered with AWS Audit Manager. Check the delegated administrator setup on the Audit Manager settings page, and try again.   
HTTP Status Code: 403

 ** InternalServerException **   
 An internal service error occurred during the processing of your request. Try again later.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The resource that's specified in the request can't be found.     
 ** resourceId **   
 The unique identifier for the resource.   
 ** resourceType **   
 The type of resource that's affected by the error. 
HTTP Status Code: 404

 ** ValidationException **   
 The request has invalid or missing parameters.     
 ** fields **   
 The fields that caused the error, if applicable.   
 ** reason **   
 The reason the request failed validation. 
HTTP Status Code: 400

## See Also
<a name="API_UpdateAssessmentControlSetStatus_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/auditmanager-2017-07-25/UpdateAssessmentControlSetStatus) 